Debian Bug report logs - #282283
RFH: dpkg -- dselect: a user tool to manage Debian packages

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Scott James Remnant <scott@netsplit.com>

Date: Sun, 21 Nov 2004 00:33:01 UTC

Severity: normal

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-dpkg@lists.debian.org, <wnpp@debian.org>:
Bug#282283; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@netsplit.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-dpkg@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@netsplit.com>
To: submit@bugs.debian.org
Subject: RFH: dselect -- a user tool to manage Debian packages
Date: Sun, 21 Nov 2004 00:18:43 +0000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Package: wnpp
Severity: wishlist

dselect is the venerable user interface to the Debian package
management system and archive.  It's certainly one of the most
uniquely identifiable components of a Debian system.

However its age and the lack of love bestowed on it is really
starting to show compared to the various APT-based frontends that have
appeared recently.


I haven't used dselect in quite a while, myself.  When installing my
last potato box, I think ... that should give you an idea of how long
ago that was!

I'm looking for somebody to take responsibilty for it, not just for
its buglist but for future development of it.  I'm quite able to
maintain the status-quo myself, and keep away the worst of the bugs,
but I'm not going to be doing anything much to improve it.  That's
where you come in.


Candidates should:

  * love dselect -- it should be your frontend of choice.
    You might even think APT is for newbies, and want dselect's own
    FTP method restored to power.  Alternatively, because I'm not sure
    that person exists ;), you want to integrate dselect more closely
    with APT than the current method allows.

  * have a reasonable amount of free time and patience -- there's a
    lot of bugs there, and from a development POV it needs a lot of
    work.

  * have a good understanding of C++ -- not to mention an ability to
    stand on their head to understand iwj-C++.

  * a reasonable understanding of C -- bits of dselect depend on the C
    parts of dpkg, you'll need to be able to read those too.

  * be able to work well with others -- dselect is not a separate
    source package, and is a pre-dependency of dpkg.  Therefore you'll
    need to work well with myself, and the other members of the team.


So you're interested?  Excellent!

I maintain dpkg in Arch these days, so the best way to contribute your
changes is simply to make them on your own branch so I can merge them
in.  If you've never used it before, and Andrew Suffield's support of
it has put you off, no need to worry.
http://people.ubuntu.com/~scott/arch/Arch-For-Dpkg should teach you
everything you need.

You should also make sure you're on the debian-dpkg mailing list so
you get bug reports.

Oh, yes, and you should start going down those bug reports and making
a difference.  dselect needs YOU!

Scott
- -- 
Have you ever, ever felt like this?
Had strange things happen?  Are you going round the twist?
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBn94XIexP3IStZ2wRAo6CAJ96kgdo/GQ1mkD6zt+V90fH0e53LwCfRaFD
+PSp9Pyw7fNmE9LFTL8xaHE=
=qI2P
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#282283; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Thaddeus H. Black" <t@b-tk.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 282283@bugs.debian.org (full text, mbox):

From: "Thaddeus H. Black" <t@b-tk.org>
To: Scott James Remnant <scott@netsplit.com>, 282283@bugs.debian.org
Subject: Re: Bug#282283: RFH: dselect -- a user tool to manage Debian packages
Date: Sun, 21 Nov 2004 16:51:40 +0000
[Message part 1 (text/plain, inline)]
> So you're interested?  Excellent!

I am interested, so I should draw three adverse factors to your
attention.

1.  I belong to the class of 6 March 2004.  These are the 61 final
candidates who since 6 March 2004 have fully completed the New
Maintainer tests and have earned final recommendation from everyone
involved except the DAM, the latter of whom for inferable but admittedly
unexplained reasons has deep-frozen the entire class.  Some day the DAM
will undoubtedly thaw the class and create Developer accounts, but
whether a year from now, a week, or some other length of time is
anyone's guess.  In the indefinite meantime I would require your
sponsorship for upload.

2.  Had one actually contributed a patch to dselect, his expression of
interest would seem more credible.  I have contributed no patch.

3.  My December schedule happens to be full.  (Pursuing a Ph.D., I have
what at Virginia Tech we call a "doctoral qualifying examination" coming
up.  Preparation for the exam requires my close attention and renders
impracticable any immediate dselect activity.)  I would not act until
the new year.

On the other hand, if you have my package debram installed, then you
know that I am not some random dselect volunteer.  Debram remains
orthogonal to dselect, but the point to note is in that the general
problem of Debian package selection has received my close, steady
development attention for two and a half years.  A newcomer to dselect
development as such, I am no newcomer to the package-selection problem;
and the technical implications of the various kinds of
package-dependency interrelationships have long been of significant
interest to me.  I also happen to use dselect regularly.  Dselect would
not lack for competent attention under my care.

Furthermore, item # 3 above notwithstanding, the broader timing for me
happens to be excellent.  After two and a half years, I have finally
released debram (0.6.0) to sid last week.  This was the big upload.  The
Debian package ramification therein is now complete and fully up to
date, covering all of sarge main.  I am thus generally ready for a new
Debian development project.

This mail requires no immediate action, Scott.  As my Debian history
indicates, I am indeed highly interested and well motivated, but we
still have some time to think about this.  As mentioned, I am not quite
ready to leap in and to start work on the dselect to-do list, anyway.
Maybe the way to handle the matter would be first to let me attack an
item or two on dselect's to-do list in January and February.  If
acceptable to you and if I seemed to be making satisfactory progress at
that time, you might commit the package to me then.

-- 
Thaddeus H. Black
508 Nellie's Cave Road
Blacksburg, Virginia 24060, USA
+1 540 961 0920, t@b-tk.org
[Message part 2 (application/pgp-signature, inline)]

Severity set to `normal'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#282283; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Thaddeus H. Black" <t@b-tk.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #17 received at 282283@bugs.debian.org (full text, mbox):

From: "Thaddeus H. Black" <t@b-tk.org>
To: debian-devel@lists.debian.org
Cc: 282283@bugs.debian.org
Subject: Re: dselect survey
Date: Sun, 12 Dec 2004 17:30:54 +0000
[Message part 1 (text/plain, inline)]
Steve Greenland writes,

> Which, of course, isn't to say that it should be
> removed. I was surprised by how many people still use
> it; I hope some one will pick [dselect] up.

Dselect is sufficiently important to me that, as time
permits, I mean to pick it up.

Another competent person with more time immediately
available may pick dselect up first, of course, which
would be fine.  Otherwise expect dselect action from me
within the four months following sarge's release.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#282283; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Thaddeus H. Black" <t@b-tk.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #22 received at 282283@bugs.debian.org (full text, mbox):

From: "Thaddeus H. Black" <t@b-tk.org>
To: 282283@bugs.debian.org
Subject: Re: Bug#282283: RFH: dselect -- a user tool to manage Debian packages
Date: Fri, 7 Jan 2005 13:17:18 +0000
[Message part 1 (text/plain, inline)]
To anyone interested enough to read this bug log (maybe
nobody? we shall see):

I have not forgotten about this bug, nor have I lost
interest.  On the other hand, neither have I yet found
time to address it properly.  As noted in the previous
post, it is not my intent to block this bug by squatting
on it.  I have not yet earned ownership of this bug.  If
you have the knowledge, the interest and the time, you
would enjoy my blessing and support (for what little
these might be worth) if you stepped in front of me and
started real dselect work.  I merely do not want dselect
to die of neglect.

As for me, at the moment debram/debtags is commanding my
available Debian time today.  (There are regrettably
only 24 hours in a day...)

-- 
Thaddeus H. Black
508 Nellie's Cave Road
Blacksburg, Virginia 24060, USA
+1 540 961 0920, t@b-tk.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#282283; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Thaddeus H. Black" <t@b-tk.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #27 received at 282283@bugs.debian.org (full text, mbox):

From: "Thaddeus H. Black" <t@b-tk.org>
To: Dpkg Development <debian-dpkg@lists.debian.org>
Cc: 282283@bugs.debian.org
Subject: dselect development
Date: Fri, 18 Mar 2005 23:32:44 +0000
[Message part 1 (text/plain, inline)]
Status update.  Scott has perhaps been
skeptical---properly so---of my commitment to dselect
development.  He does not know me, after all, and I have
contributed no patches as yet.  However, matters proceed
according to plan.  At present, I am very slowly reading
my way through the latest experimental dpkg sources
(1.13.2 as of today).  This is a learning experience for
me.  In November Scott said something about standing on
one's head to understand iwj-C++, but to me the dselect
source really doesn't look too bad; by the end of the
calendar year I should be fairly familiar with it.

I remain unfamiliar with autotools, but apparently this
is not much of a handicap in treating the dselect bugs.
I can learn autotools over time.  A greater problem for
me is that I have no experience in managing long, long
lists of old BTS reports.  It is hard to know where to
start.  At the present moment, it is not clear to me
that anything at all should be done about many of the
dselect bug reports, but I am not nearly so confident
yet as to propose closing a lot of open bugs.

After reviewing the BTS logs, lacking other guidance, my
current inclination is to start with the TODO item of
adding support for Enhances.  Perhaps supporting
Enhances without slowing program execution involves
constituting a look-up hash with the standard library's
<search.h>.  Apparently adding Enhances support begins
in the dpkg source proper, so I have some work to do.

Anyway, as my earlier messages in the #282283 BTS log
indicate, please do not expect anything from me too
soon.  Some of you are highly skilled hackers, but I
still have much to learn, and dpkg is sufficiently
important a package that I do not feel comfortable
contributing dpkg patches until I understand the overall
source better.  Gandalf observed that Barliman Butterbur
could "see through a brick wall in time."  So if you are
Gandalf, permit me to play Butterbur's role today.  I
shall need some time to see through this wall.

If anyone else here is already working on the
dpkg/dselect Enhances problem, please advise.
Otherwise, contact me any time, for any reason.

-- 
Thaddeus H. "Butterbur" Black
(staring hard at a brick wall)
508 Nellie's Cave Road
Blacksburg, Virginia 24060, USA
+1 540 961 0920, t@b-tk.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#282283; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Thaddeus H. Black" <t@b-tk.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #32 received at 282283@bugs.debian.org (full text, mbox):

From: "Thaddeus H. Black" <t@b-tk.org>
To: Bernhard Fischer <rep.nop@aon.at>
Cc: 282283@bugs.debian.org, dpkg-devel@lists.debian.org
Subject: Re: [PATCH] dpkg: add transparency support to dselect, misc. fixes
Date: Fri, 20 May 2005 18:24:50 +0000
[Message part 1 (text/plain, inline)]
Bernhard Fischer:

> Attached patch implements support for transparent terminals in dselect.
> It also contains various cosmetic fixes as well as a potential real bug
> in lib/varbuf.c.

Hi Bernhard.  Please see [http://bugs.debian.org/282283], reported by
dpkg's lead maintainer Scott James Remnant.  After reading the bug log,
you may wish to take over from me there.  You would seem at first glance
to have the motivation and the skills for it, and by contributing this
patch it seems to me that you have earned the right.

As to me, I have not lost interest, but my progress on # 282283 is too
slow for Dpkg development to wait for me, if there is a more capable
person who also has interest and who will devote more time than I will.
If you do not act on this, eventually I will, but in the meantime you
are not required to wait for me.

> [i sent this to dpkg-devel a few weeks ago but got no reponse, so
> retrying here; please keep me CC'ed, i'm not on d-d]

Sorry for overlooking your earlier post to dpkg-devel.  The overlook was
inadvertent.

(For completeness of the # 282283 BTS record to which this message is
copied, it is noted here that Bernhard's patch is found at
[http://lists.debian.org/debian-devel/2005/05/msg01021.html].)

-- 
Thaddeus H. Black
508 Nellie's Cave Road
Blacksburg, Virginia 24060, USA
+1 540 961 0920, t@b-tk.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#282283; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Thaddeus H. Black" <t@b-tk.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #37 received at 282283@bugs.debian.org (full text, mbox):

From: "Thaddeus H. Black" <t@b-tk.org>
To: 282283@bugs.debian.org
Subject: Ceasing dselect work
Date: Sun, 12 Jun 2005 15:43:25 +0000
[Message part 1 (text/plain, inline)]
I do not plan to pursue this RFH any longer.  I now see
why Scott lost interest.  If someone reading this wants
to develop dselect, he is invited to step right in.

Partial rationale:

In studying the dselect source, one of the things I did
was to go over and use aptitude for a while.  I had
never really used aptitude before, so I wanted to see
what made it different.  Unfortunately for dselect
development, what I discovered was that I prefer
aptitude over dselect.

There is an old question in Debian as to whether and
when developers should compete against one another in
attacking the same problem separately (witness Gnome and
KDE, for instance).  The right answer to this question
depends in my view on the specific problem, projects and
personalities involved.  Sometimes it seems better to
standardize on one project; sometimes it seems better to
compete.  It depends.

In the specific case of Debian package management, my
view in the matter has shifted somewhat since I first
replied to this RFH.  I now tend to feel that the Debian
Project should standardize; that we should encourage
Debian sysadmins to use aptitude, layered atop apt,
layered atop dpkg.  If dselect's interface is preferred,
then let this be further layered *atop aptitude*.
Dselect as an alternative to aptitude should probably be
deprecated by us.

If anyone should pursue this RFH further, my well wishes
go with him.  Good luck.

Signing off.

-- 
Thaddeus H. Black
508 Nellie's Cave Road
Blacksburg, Virginia 24060, USA
+1 540 961 0920, t@b-tk.org, thb@debian.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#282283; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #42 received at 282283@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: 282283@bugs.debian.org
Subject: Disentangling dselect from dpkg
Date: Wed, 1 Feb 2006 01:21:32 -0500
I would enjoy working on dselect.  Unfortunately it is rather badly entangled 
with the dpkg source, and I do not enjoy working on it in this situation.  I 
have tried, but failed, to disentangle it into a separate source package.  If 
someone manages to do that, get back to me and I'll help work on improving 
dselect.



Changed Bug title. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#282283; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to fsateler@gmail.com:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #49 received at 282283@bugs.debian.org (full text, mbox):

From: fsateler@gmail.com
To: 282283@bugs.debian.org
Cc: 282283-submitter@bugs.debian.org
Subject: Bug status
Date: Sun, 16 Apr 2006 18:35:06 -0400 (CLT)
Hi. I'm writing this mail to check what is this bug's status.
Note that this is not meant as an offer for help, but rather as a
ping to submitters to clarify wether help is still needed, or if help
has already come, for some of the RFH bugs have been open for a long
time, and it may be that they no longer need help. If you find that
this bug (#282283) is no longer needed, please consider closing it.



Message sent on to Scott James Remnant <scott@netsplit.com>:
Bug#282283. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#282283; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #57 received at 282283@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@fastmail.fm>
To: 282283@bugs.debian.org
Cc: 282283-submitter@bugs.debian.org
Subject: Adopting dselect, or not
Date: Mon, 26 Mar 2007 21:31:13 -0400
I love dselect and would like to take it over; I prefer it to aptitude -- but 
I'm not ready to take it over yet.

The problem is that it currently has an incestuous relationship with the dpkg 
source.  I am afraid to touch anything or do any cleanup for fear of breaking 
dpkg.

If someone can manage to break this Siamese-twin relationship, so that dselect 
can build *after* dpkg (based on a fixed collection of headers exported by 
dpkg, and possibly some duplicated C files), rather than at the same time, then 
I would be happy to take it over.  I'm also happy to help in severing the 
Siamese twins, but I haven't been able to figure out how to do so yet.

I think separating the Siamese twins is worthwhile for dpkg as well.

I guess I said something like this before.  But if anyone can help in breaking 
the linkage, it would be really helpful.  Consider this an "RFH for an RFH".

-- 
Nathanael Nerode  <neroden@fastmail.fm>

[Insert famous quote here]



Message sent on to Scott James Remnant <scott@netsplit.com>:
Bug#282283. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#282283; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #65 received at 282283@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@fastmail.fm>
To: 282283@bugs.debian.org, debian-dpkg@lists.debian.org
Subject: Splitting dselect from dpkg -- acceptable plan?
Date: Mon, 16 Apr 2007 13:49:32 -0400
OK.  So I managed to construct a dselect source package which builds
independently of dpkg.  It required duplicating substantial portions of
lib/ .  I intend that to be temporary.  Until those portions are gone,
I will keep an eye on any changes made to lib/ in dpkg.

My plan for dselect is to make dselect more fully based on apt, which 
should incidentally allow the removal/replacement of much of that code; 
but to add the build-deps needed, dselect has to become an independent 
package *first*.

Is this an acceptable future path for dselect?  Is the temporary forking 
of libdpkg considered acceptable? (One alternative is to make a real,
shared libdpkg, but looking at it I don't really think that's a good 
idea.)

If this is an acceptable transition path, I will polish up the new 
dselect package (initially with no significant code differences) and we 
can arrange for an appropriately coordinated upload; from then on 
dselect and dpkg can evolve separately.

Let me know.  Replies to bug trail and/or list please.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#282283; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ian@davenant.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #70 received at 282283@bugs.debian.org (full text, mbox):

From: Ian Jackson <ian@davenant.greenend.org.uk>
To: 282283@bugs.debian.org, debian-dpkg@lists.debian.org
Subject: Re: Splitting dselect from dpkg -- acceptable plan?
Date: Tue, 17 Apr 2007 13:23:17 +0100
Nathanael Nerode writes ("Splitting dselect from dpkg -- acceptable plan?"):
> My plan for dselect is to make dselect more fully based on apt, [...]
> Is this an acceptable future path for dselect?

No.

<insert rant about apt>

I still use dselect on all of my Debian systems and I don't want to
switch to using apt.  dselect is more than just a UI.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#282283; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #75 received at 282283@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Nathanael Nerode <neroden@fastmail.fm>
Cc: 282283@bugs.debian.org, debian-dpkg@lists.debian.org
Subject: Re: Splitting dselect from dpkg -- acceptable plan?
Date: Wed, 25 Apr 2007 06:05:30 +0300
Hi Nathanael,

On Mon, 2007-04-16 at 13:49:32 -0400, Nathanael Nerode wrote:
> OK.  So I managed to construct a dselect source package which builds
> independently of dpkg.  It required duplicating substantial portions of
> lib/ .  I intend that to be temporary.  Until those portions are gone,
> I will keep an eye on any changes made to lib/ in dpkg.

I'd like to avoid this situation.

> My plan for dselect is to make dselect more fully based on apt, which 
> should incidentally allow the removal/replacement of much of that code; 
> but to add the build-deps needed, dselect has to become an independent 
> package *first*.

Ian commented on that one already, as I'm not an active user of dselect
I don't have any actual say, only on the interfaces that dselect is
using from dpkg.

> Is this an acceptable future path for dselect?  Is the temporary forking 
> of libdpkg considered acceptable? (One alternative is to make a real,
> shared libdpkg, but looking at it I don't really think that's a good 
> idea.)

My plan was to start cleaning up libdpkg incrementally, and start
exporting few versioned symbols at a time, for example starting with
dpkg_compare_versions or similar obvious ones. I think this is a
realistic approach, instead of hoping that one day we suddenly get a
completely cleaned up library.

> If this is an acceptable transition path, I will polish up the new 
> dselect package (initially with no significant code differences) and we 
> can arrange for an appropriately coordinated upload; from then on 
> dselect and dpkg can evolve separately.
> 
> Let me know.  Replies to bug trail and/or list please.

As I've said I don't really use dselect, mostly when testing new code
changes, although I've been fixing few dselect issues as well. You
were complaining about it's state, and it's true that it might not see
completely new development but at least as long as it's part of dpkg
I'll keep maintaining it, and if people send patches and they are fine
they'll get applied.

My other concern is related with this last point, I've not noticed
patches or work in general from you for dselect (I might have just
very well missed it!), I'd be hesitant to give it to someone who has
not shown yet a commitment for the task, though.

For example Bruce Sass has been doing quite some triagging on the bug
reports.

thanks,
guillem



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#282283; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ian@davenant.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #80 received at 282283@bugs.debian.org (full text, mbox):

From: Ian Jackson <ian@davenant.greenend.org.uk>
To: Guillem Jover <guillem@debian.org>
Cc: Nathanael Nerode <neroden@fastmail.fm>, 282283@bugs.debian.org, debian-dpkg@lists.debian.org
Subject: Re: Splitting dselect from dpkg -- acceptable plan?
Date: Tue, 1 May 2007 11:48:13 +0100
Guillem Jover writes ("Re: Splitting dselect from dpkg -- acceptable plan?"):
> Hi Nathanael,
> > Is this an acceptable future path for dselect?  Is the temporary forking 
> > of libdpkg considered acceptable? (One alternative is to make a real,
> > shared libdpkg, but looking at it I don't really think that's a good 
> > idea.)
> 
> My plan was to start cleaning up libdpkg incrementally, and start
> exporting few versioned symbols at a time, for example starting with
> dpkg_compare_versions or similar obvious ones. I think this is a
> realistic approach, instead of hoping that one day we suddenly get a
> completely cleaned up library.

That doesn't sound unreasonable.

It would be nice to get rid of the obstacks stuff (and put back my
counting allocator) and clean up the strange buffer fd write
machinery.  That would make libdpkg less of a pita from a porting
point of view.

> > Let me know.  Replies to bug trail and/or list please.
> 
> As I've said I don't really use dselect, mostly when testing new code
> changes, although I've been fixing few dselect issues as well. You
> were complaining about it's state, and it's true that it might not see
> completely new development but at least as long as it's part of dpkg
> I'll keep maintaining it, and if people send patches and they are fine
> they'll get applied.

Right, thanks :-).

> My other concern is related with this last point, I've not noticed
> patches or work in general from you for dselect (I might have just
> very well missed it!), I'd be hesitant to give it to someone who has
> not shown yet a commitment for the task, though.

I think it might be best to let dselect's users maintain it.  If it
rots to the point where I can't use it I'll be sending patches,
definitely.

Ian.



Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Sat, 24 Mar 2012 18:15:05 GMT) Full text and rfc822 format available.

Notification sent to Scott James Remnant <scott@netsplit.com>:
Bug acknowledged by developer. (Sat, 24 Mar 2012 18:15:05 GMT) Full text and rfc822 format available.

Message #85 received at 282283-done@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 282283-done@bugs.debian.org
Subject: Re: Bug#282283: RFH: dselect -- a user tool to manage Debian packages
Date: Sat, 24 Mar 2012 19:11:46 +0100
On Sun, 2004-11-21 at 00:18:43 +0000, Scott James Remnant wrote:
> Package: wnpp
> Severity: wishlist

> I'm looking for somebody to take responsibilty for it, not just for
> its buglist but for future development of it.  I'm quite able to
> maintain the status-quo myself, and keep away the worst of the bugs,
> but I'm not going to be doing anything much to improve it.  That's
> where you come in.

As long as dselect is part of dpkg it will be maintained. Once that's
no longer the case then it will be split into a different source
package and orphaned.

In any case, I don't see much point in an RFH that's been open since
2004.

thanks,
guillem




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Apr 2012 07:49:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:30:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.